Index: /trunk/import/alkis_PostNAS_schema.sql
===================================================================
--- /trunk/import/alkis_PostNAS_schema.sql	(revision 306)
+++ /trunk/import/alkis_PostNAS_schema.sql	(revision 307)
@@ -63,4 +63,9 @@
 --                Felad "ax_historischesflurstueck.buchungsart" varchar statt integer
 
+-- 2013-07-10 FJ  Erweiterung alkis_beziehungen nach Vorschlag Marvin Brandt (Kreis Unna)
+--                FÃŒllen der Felder langfristig durch PostNAS (Erweiterung?)
+--                VorlÃ€ufig mit Trigger-Funktions "update_fields_beziehungen"
+
+-- 2014-01-24 FJ  Feld "ax_datenerhebung_punktort" in "Punktort/TA/AG/AU" nach Vorschlag Marvin Brandt (Kreis Unna)
 
 
@@ -103,11 +108,11 @@
 CREATE TABLE "delete"
 (
-	ogc_fid		serial NOT NULL,
-	typename	varchar,
-	featureid	character(32),
-	context		varchar,		-- delete/replace
+	ogc_fid			serial NOT NULL,
+	typename		varchar,
+	featureid		character(32),
+	context			varchar,		-- delete/replace
 	safetoignore	varchar,		-- replace.safetoignore 'true'/'false'
-	replacedBy	varchar,		-- gmlid
-	ignored		boolean DEFAULT false,	-- Satz wurde nicht verarbeitet
+	replacedBy		varchar,		-- gmlid
+	ignored			boolean DEFAULT false,	-- Satz wurde nicht verarbeitet
 	CONSTRAINT delete_pk PRIMARY KEY (ogc_fid)
 );
@@ -140,10 +145,15 @@
 -- ZusÃ€tzlich enthÃ€lt 'beziehungsart' noch ein Verb fÃŒr die Art der Beziehung.
 
+-- 2013-07-10 Erweiterung nach Vorschlag Marvin Brandt (Kreis Unna)
+-- Durch Typenamen bessere Zuordnung der verlinkten Tabellen mÃ¶glich.
 CREATE TABLE alkis_beziehungen (
-	ogc_fid			serial NOT NULL,
-	beziehung_von		character(16),         --> gml_id
-	beziehungsart		varchar,               --  Liste siehe unten
-	beziehung_zu		character(16),         --> gml_id
-	CONSTRAINT alkis_beziehungen_pk PRIMARY KEY (ogc_fid)
+   ogc_fid          serial NOT NULL,
+   beziehung_von    character(16),         --> gml_id
+   von_typename     varchar,               -- 2013-07-10
+   beginnt          character(20),         -- 2013-07-10
+   beziehungsart    varchar,               --  Liste siehe unten
+   beziehung_zu     character(16),         --> gml_id
+   zu_typename      varchar,               -- 2013-07-10
+   CONSTRAINT alkis_beziehungen_pk PRIMARY KEY (ogc_fid)
 );
 
@@ -159,4 +169,9 @@
 COMMENT ON COLUMN alkis_beziehungen.beziehung_zu  IS 'Join auf Feld gml_id verschiedener Tabellen';
 COMMENT ON COLUMN alkis_beziehungen.beziehungsart IS 'Typ der Beziehung zwischen der von- und zu-Tabelle';
+
+COMMENT ON COLUMN alkis_beziehungen.von_typename  IS 'Name der Tabelle der VON-Beziehung'; -- 2013-07-10
+COMMENT ON COLUMN alkis_beziehungen.beginnt       IS 'Mit Trigger kopiertes Beginnt-Datum des Datensatzes auf der Seite beziehung_von'; -- 2013-07-10
+COMMENT ON COLUMN alkis_beziehungen.zu_typename   IS 'Name der Tabelle der ZU-Beziehung';  -- 2013-07-10
+
 
 -- Beziehungsarten:
@@ -1342,18 +1357,18 @@
 -- ----------------------------------------------
 CREATE TABLE ax_punktortag (
-	ogc_fid			serial NOT NULL,
-	gml_id			character(16),
-	identifier		character(44),
-	beginnt			character(20),
-	endet 			character(20),
-	advstandardmodell	varchar,
-	anlass			varchar,
-	art				varchar[],
-	name			varchar[],
-	kartendarstellung	varchar,	-- boolean
---	"qualitaetsangaben|ax_dqpunktort|herkunft|li_lineage|processstep" integer, -- varchar[],
-	genauigkeitsstufe	integer,
+	ogc_fid					serial NOT NULL,
+	gml_id					character(16),
+	identifier				character(44),
+	beginnt					character(20),
+	endet 					character(20),
+	advstandardmodell		varchar,
+	anlass					varchar,
+	art						varchar[],
+	name					varchar[],
+	kartendarstellung		varchar,	-- boolean
+	ax_datenerhebung_punktort integer,
+	genauigkeitsstufe		integer,
 	vertrauenswuerdigkeit	integer,
-	koordinatenstatus	integer,
+	koordinatenstatus		integer,
 	CONSTRAINT ax_punktortag_pk PRIMARY KEY (ogc_fid)
 );
@@ -1371,20 +1386,18 @@
 -- ----------------------------------------------
 CREATE TABLE ax_punktortau (
-	ogc_fid				serial NOT NULL,
-	gml_id				character(16),
-	identifier			character(44),
-	beginnt				character(20),
-	endet 				character(20),
-	advstandardmodell	varchar,
-	anlass				varchar,
-	kartendarstellung	varchar,	-- boolean
---	art					varchar, -- entbehrlich
-	name				varchar[],
---	"qualitaetsangaben|ax_dqpunktort|herkunft|li_lineage|processstep" integer,  --varchar[],
---	datetime		character(24)[],
-	individualname		varchar,
+	ogc_fid					serial NOT NULL,
+	gml_id					character(16),
+	identifier				character(44),
+	beginnt					character(20),
+	endet 					character(20),
+	advstandardmodell		varchar,
+	anlass					varchar,
+	kartendarstellung		varchar,	-- boolean
+	ax_datenerhebung_punktort integer,
+	name					varchar[],
+	individualname			varchar,
 	vertrauenswuerdigkeit	integer,
-	genauigkeitsstufe	integer,
-	koordinatenstatus	integer,
+	genauigkeitsstufe		integer,
+	koordinatenstatus		integer,
 	CONSTRAINT ax_punktortau_pk PRIMARY KEY (ogc_fid)
 );
@@ -1402,18 +1415,19 @@
 -- ----------------------------------------------
 CREATE TABLE ax_punktortta (
-	ogc_fid				serial NOT NULL,
-	gml_id				character(16),
-	identifier			character(44),
-	beginnt				character(20),
-	endet 				character(20),
-	advstandardmodell	varchar,
-	anlass				varchar,
-	kartendarstellung	varchar, -- boolean
-	description			integer,
-	art					varchar[],
-	name				varchar[],
-	genauigkeitsstufe	integer,
+	ogc_fid					serial NOT NULL,
+	gml_id					character(16),
+	identifier				character(44),
+	beginnt					character(20),
+	endet 					character(20),
+	advstandardmodell		varchar,
+	anlass					varchar,
+	kartendarstellung		varchar, -- boolean
+	ax_datenerhebung_punktort integer,
+	description				integer,
+	art						varchar[],
+	name					varchar[],
+	genauigkeitsstufe		integer,
 	vertrauenswuerdigkeit	integer,
-	koordinatenstatus	integer,
+	koordinatenstatus		integer,
 	CONSTRAINT ax_punktortta_pk PRIMARY KEY (ogc_fid)
 );
@@ -1442,5 +1456,4 @@
 	advstandardmodell	varchar,
 	anlass				varchar,
---	art					varchar,		-- entbehrlich
 	uri					varchar,
 	fortfuehrungsfallnummernbereich	varchar,
@@ -1473,5 +1486,4 @@
 	advstandardmodell			varchar,
 	anlass						varchar,
---	art							varchar,  -- entbehrlich
 	uri							varchar,
 	fortfuehrungsfallnummer		integer,
@@ -1502,5 +1514,5 @@
 	endet			character(20),
 	advstandardmodell	varchar,
-	art			integer,
+	art				integer,
 	nummer			varchar,
 	land			integer,
@@ -1520,14 +1532,14 @@
 -- ---------------------------------------------------
 CREATE TABLE ax_punktkennunguntergegangen (
-	ogc_fid			serial NOT NULL,
-	gml_id			character(16),
-	identifier		character(44),
-	beginnt			character(20),
-	endet			character(20),
+	ogc_fid				serial NOT NULL,
+	gml_id				character(16),
+	identifier			character(44),
+	beginnt				character(20),
+	endet				character(20),
 	advstandardmodell	varchar,
 	sonstigesmodell		varchar,
-	anlass			varchar,
+	anlass				varchar,
 	punktkennung		varchar,
-	art			integer,
+	art					integer,
 	CONSTRAINT ax_punktkennunguntergegangen_pk PRIMARY KEY (ogc_fid)
 );
@@ -4475,6 +4487,6 @@
 
 -- wenn schon, dann auch alle Tabellen mit Kommentaren versehen:
---COMMENT ON TABLE geometry_columns IS 'Metatabelle der Geometrie-Tabellen, Tabellen ohne Geometrie bekommen Dummy-Eintrag fÃŒr PostNAS-Konverter (GDAL/OGR)';
---COMMENT ON TABLE spatial_ref_sys  IS 'Koordinatensysteme und ihre Projektionssparameter';
+COMMENT ON TABLE geometry_columns IS 'Metatabelle der Geometrie-Tabellen, Tabellen ohne Geometrie bekommen Dummy-Eintrag fÃŒr PostNAS-Konverter (GDAL/OGR)';
+COMMENT ON TABLE spatial_ref_sys  IS 'Koordinatensysteme und ihre Projektionssparameter';
 
 -- Schema aktualisieren (setzt auch die Indizes neu)
Index: /trunk/import/alkis_PostNAS_keytables.sql
===================================================================
--- /trunk/import/alkis_PostNAS_keytables.sql	(revision 306)
+++ /trunk/import/alkis_PostNAS_keytables.sql	(revision 307)
@@ -24,4 +24,6 @@
 --                   ax_sonstigesrecht_artdf, ax_anderefestlegungnachwasserrecht_artdf
 --  2013-04-17  F.J. Kurzbezeichnungen der BodenschÃ€ttung fÃŒr die Kartendarstellung
+
+--	2014-01-24	F.J. "Eigentuemerart" entschchlÃŒsseln
 
   SET client_encoding = 'UTF8';
@@ -506,11 +508,109 @@
 
 
--- E i g e n t u e m e r a r t
-
--- Laut GeoInfoDok nur 3 Werte.
--- In RLP-Mustersdaten aber viele verschiedene Werte.
-
--- Fuer "viele Werte" wuerde sich eine Tabelle lohnen.
--- 3 Werte koennen ueber Function (case) entschluesselt werden.
+-- N a m e n s n u m m e r  -  E i g e n t u e m e r a r t
+-- -------------------------------------------------------
+-- Kennung   = 21006,
+-- Objektart = 'AX_Namensnummer'
+-- 2014-01-24 NEU. Bisher nur 3 Werte ueber Function (case) entschluesselt.
+
+CREATE TABLE ax_namensnummer_eigentuemerart (
+   wert integer,
+   bezeichner character varying,
+   CONSTRAINT pk_ax_nnea_wert PRIMARY KEY (wert)
+  );
+
+COMMENT ON TABLE  ax_namensnummer_eigentuemerart 
+ IS 'SchlÃŒsseltabelle mit Werten aus GeoInfoDok NW, geladen mit SQL-Script. Zu Tabelle "ax_namensnummer", Feld "eigentuemerart".';
+
+COMMENT ON COLUMN ax_namensnummer_eigentuemerart.wert       IS 'numerischer SchlÃŒssel';
+COMMENT ON COLUMN ax_namensnummer_eigentuemerart.bezeichner IS 'Lange Bezeichnung';
+
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (1000,'NatÃŒrliche Personen');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (1100,'NatÃŒrliche Person - Alleineigentum oder Ehepartner');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (1200,'NatÃŒrliche Person - Wohnsitz im Land');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (1300,'NatÃŒrliche Person - Wohnsitz auÃerhalb des Landes');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (1500,'NatÃŒrliche Person - Gemeinschaftseigentum');
+
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (2000,'Juristische Personen');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (2100,'GemeinnÃŒtzige Bau-, Wohnungs- oder Siedlungsgesellschaft oder -genossenschaft einschlieÃlich HeimstÃ€tte');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (2200,'Sonstige gemeinnÃŒtzige Institution (TrÃ€ger von KrankenhÃ€usern, Altenheimen usw.) ');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (2300,'Privates Wohnungsunternehmen, private Baugesellschaft u.Ã€.');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (2400,'Kreditinstitut');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (2500,'Versicherungsunternehmen');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (2900,'Andere Unternehmen, Gesellschaften usw.');
+
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (3000,'KÃ¶rperschaften');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (3100,'Stiftung');
+
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (4000,'Kirchliches Eigentum');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (4100,'Evangelische Kirche');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (4200,'Katholische Kirche ');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (4900,'Andere Kirchen, Religionsgemeinschaften usw.');
+
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5100,'Bundesrepublik Deutschland');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5101,'Bundesrepublik Deutschland, BundesstraÃenverwaltung');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5102,'Bundesrepublik Deutschland, Bundeswehrverwaltung');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5103,'Bundesrepublik Deutschland, Forstverwaltung');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5104,'Bundesrepublik Deutschland, Finanzverwaltung');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5105,'Bundesrepublik Deutschland, Zivilschutz');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5106,'Bundesrepublik Deutschland, WasserstraÃenverwaltung');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5107,'Bundesrepublik Deutschland, BundeseisenbahnvermÃ¶gen');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5210,'Eigentum des Volkes nach DDR-Recht');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5220,'Eigentum der Genossenschaften und deren Einrichtungen');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5230,'Eigentum der gesellschaftlichen Organisationen und deren Einrichtungen ');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5240,'Kommunale GebietskÃ¶rperschaften nach DDR-Recht');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5300,'AuslÃ€ndischer Staat');
+
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5400,'Kreis');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5500,'Gemeinde');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5600,'Kommunale GebietskÃ¶rperschaften ');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5700,'Andere GebietskÃ¶rperschaften, RegionalverbÃ€nde usw.');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5800,'ZweckverbÃ€nde, Kommunale Betriebe');
+
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5920,'Eigenes Bundesland');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5921,'Eigenes Bundesland, Denkmalpflege');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5922,'Eigenes Bundesland, DomÃ€nenverwaltung');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5923,'Eigenes Bundesland, Eichverwaltung');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5924,'Eigenes Bundesland, Finanzverwaltung');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5925,'Eigenes Bundesland, Forstverwaltung');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5926,'Eigenes Bundesland, Gesundheitswesen');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5927,'Eigenes Bundesland, Polizeiverwaltung');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5928,'Eigenes Bundesland, innere Verwaltung');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5929,'Eigenes Bundesland, Justizverwaltung');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5930,'Eigenes Bundesland, Kultusverwaltung');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5931,'Eigenes Bundesland, Landespflanzenschutzverwaltung');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5932,'Eigenes Bundesland, Arbeitsverwaltung ');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5933,'Eigenes Bundesland, Sozialwesen');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5934,'Eigenes Bundesland, Landesbetrieb StraÃen und Verkehr');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5935,'Eigenes Bundesland, Umweltverwaltung');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5936,'Eigenes Bundesland, Vermessungs- und Katasterverwaltung');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5937,'Eigenes Bundesland, Wasserwirtschaftsverwaltung ');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5938,'Eigenes Bundesland, Wirtschaftsverwaltung');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (5939,'Eigenes Bundesland, Liegenschafts- und Baubetreuung (LBB)');
+
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (6000,'Anderes Bundesland (allg.)');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (6001,'Schleswig-Holstein');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (6002,'Hamburg');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (6003,'Niedersachsen');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (6004,'Bremen');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (6005,'Nordrhein-Westfalen');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (6006,'Hessen');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (6007,'Rheinland-Pfalz');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (6008,'Baden-WÃŒrttemberg');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (6009,'Bayern');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (6010,'Saarland');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (6012,'Brandenburg');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (6011,'Berlin');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (6013,'Mecklenburg-Vorpommern');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (6014,'Sachsen');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (6015,'Sachsen-Anhalt');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (6016,'ThÃŒringen');
+
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (7100,'Deutsche Bahn AG');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (8000,'Herrenlos');
+INSERT INTO ax_namensnummer_eigentuemerart (wert, bezeichner) VALUES (9000,'EigentÃŒmer unbekannt');
+
+-- In der Praxis kommt vor:
+--   SELECT DISTINCT eigentuemerart FROM ax_namensnummer ORDER BY eigentuemerart;
 
 