Index: /trunk/info/info/alkis/alkisinlayausk.php
===================================================================
--- /trunk/info/info/alkis/alkisinlayausk.php	(revision 312)
+++ /trunk/info/info/alkis/alkisinlayausk.php	(revision 313)
@@ -105,4 +105,5 @@
 
 echo "\n\t</p>\n</td>";
+pg_free_result($res);
 
 // Lage MIT HausNr (Adresse)
@@ -138,4 +139,5 @@
 	$j++;
 }
+pg_free_result($res);
 if ($j == 0) { // keine HsNr gefunden
 	// Lage OHNE HausNr
@@ -180,4 +182,5 @@
 // Flurstuecksflaeche
 echo "\n<p class='fsd'>Flurst&uuml;cksfl&auml;che: <b>".$flae."</b></p>\n";
+pg_free_result($res);
 
 // *** G R U N D B U C H ***
@@ -186,6 +189,5 @@
 $sql ="SELECT b.gml_id, b.bezirk, b.buchungsblattnummermitbuchstabenerweiterung as blatt, b.blattart, ";
 $sql.="s.gml_id AS s_gml, s.buchungsart, s.laufendenummer, s.zaehler, s.nenner, z.bezeichnung, a.bezeichner AS bart ";
-$sql.="FROM alkis_beziehungen bfs "; // Bez Flurst.- Stelle.
-$sql.="JOIN ax_buchungsstelle s ON bfs.beziehung_zu=s.gml_id ";
+$sql.="FROM alkis_beziehungen bfs JOIN ax_buchungsstelle s ON bfs.beziehung_zu=s.gml_id ";
 $sql.="JOIN alkis_beziehungen bsb ON s.gml_id=bsb.beziehung_von "; // Bez.Stelle-Blatt
 $sql.="JOIN ax_buchungsblatt b ON bsb.beziehung_zu=b.gml_id ";
@@ -194,8 +196,7 @@
 $sql.="WHERE bfs.beziehung_von= $1 AND bfs.beziehungsart='istGebucht' AND bsb.beziehungsart='istBestandteilVon' ";
 $sql.="ORDER BY b.bezirk, b.buchungsblattnummermitbuchstabenerweiterung, s.laufendenummer;";
-
-$v = array($gmlid);
-$resg = pg_prepare("", $sql);
-$resg = pg_execute("", $v);
+$v=array($gmlid);
+$resg=pg_prepare("", $sql);
+$resg=pg_execute("", $v);
 if (!$resg) {
 	echo "\n<p class='err'>Keine Buchungen.</p>\n";
@@ -257,4 +258,5 @@
 	}
 }
+pg_free_result($resg);
 
 ?>
Index: /trunk/info/info/alkis/alkisausk.php
===================================================================
--- /trunk/info/info/alkis/alkisausk.php	(revision 312)
+++ /trunk/info/info/alkis/alkisausk.php	(revision 313)
@@ -11,8 +11,8 @@
 
 	Version:
-	2011-11-17  Link FS-Historie, Parameter der Functions geÃ€ndert
-	2011-11-30  import_request_variables
-	2013-04-08  deprecated "import_request_variables" ersetzt
-	2014-01-28	Link zu alkisstrasse.php
+	2011-11-17 Link FS-Historie, Parameter der Functions geÃ€ndert
+	2011-11-30 import_request_variables
+	2013-04-08 deprecated "import_request_variables" ersetzt
+	2014-01-28 Link zu alkisstrasse.php
 */
 session_start();
Index: /trunk/info/info/alkis/alkisgebaeudenw.php
===================================================================
--- /trunk/info/info/alkis/alkisgebaeudenw.php	(revision 312)
+++ /trunk/info/info/alkis/alkisgebaeudenw.php	(revision 313)
@@ -4,7 +4,8 @@
 
 	Version:
-	2011-11-22  Feld ax_gebaeude.description ist entfallen, neue Spalte Zustand
-	2011-11-30	Fehlerkorrektur Gebaeude mit mehreren Adressen nicht mehrfach
-	2013-04-08  deprecated "import_request_variables" ersetzt
+	2011-11-22 Feld ax_gebaeude.description ist entfallen, neue Spalte Zustand
+	2011-11-30 Fehlerkorrektur Gebaeude mit mehreren Adressen nicht mehrfach
+	2013-04-08 deprecated "import_request_variables" ersetzt
+    2014-01-30 pg_free_result
 */
 session_start();
@@ -38,12 +39,10 @@
 
 // Flurstueck
-$sqlf ="SELECT f.name, f.flurnummer, f.zaehler, f.nenner, f.amtlicheflaeche, f.zeitpunktderentstehung, ";
-$sqlf.="g.gemarkungsnummer, g.bezeichnung ";
-$sqlf.="FROM ax_flurstueck f ";
-$sqlf.="LEFT JOIN ax_gemarkung g ON f.land=g.land AND f.gemarkungsnummer=g.gemarkungsnummer ";
+$sqlf ="SELECT f.name, f.flurnummer, f.zaehler, f.nenner, f.amtlicheflaeche, f.zeitpunktderentstehung, g.gemarkungsnummer, g.bezeichnung ";
+$sqlf.="FROM ax_flurstueck f LEFT JOIN ax_gemarkung g ON f.land=g.land AND f.gemarkungsnummer=g.gemarkungsnummer ";
 $sqlf.="WHERE f.gml_id= $1;";
-$v = array($gmlid);
-$resf = pg_prepare("", $sqlf);
-$resf = pg_execute("", $v);
+$v=array($gmlid);
+$resf=pg_prepare("", $sqlf);
+$resf=pg_execute("", $v);
 if (!$resf) {
 	echo "\n<p class='err'>Fehler bei Flurst&uuml;cksdaten.</p>\n";
@@ -73,16 +72,15 @@
 echo "\n<table class='outer'>\n<tr>\n<td>";
 	echo "\n\t<table class='kennzfs' title='Flurst&uuml;ckskennzeichen'>";
-		echo "\n\t<tr>";
-			echo "\n\t\t<td class='head'>Gmkg</td>";
-			echo "\n\t\t<td class='head'>Flur</td>";
-			echo "\n\t\t<td class='head'>Flurst-Nr.</td>";
-		echo "\n\t</tr>";
-		echo "\n\t<tr>";
-			echo "\n\t\t<td title='Gemarkung'>";
-			if  ($showkey) {echo "<span class='key'>".$gmkgnr."</span><br>";}
-			echo $gemkname."&nbsp;</td>";
-			echo "\n\t\t<td title='Flurnummer'>".$flurnummer."</td>";
-			echo "\n\t\t<td title='Flurst&uuml;cksnummer (Z&auml;hler / Nenner)'><span class='wichtig'>".$flstnummer."</span></td>";
-		echo "\n\t</tr>";
+    echo "\n\t<tr>";
+        echo "\n\t\t<td class='head'>Gmkg</td>";
+        echo "\n\t\t<td class='head'>Flur</td>";
+        echo "\n\t\t<td class='head'>Flurst-Nr.</td>";
+    echo "\n\t</tr>\n\t<tr>";
+        echo "\n\t\t<td title='Gemarkung'>";
+        if  ($showkey) {echo "<span class='key'>".$gmkgnr."</span><br>";}
+        echo $gemkname."&nbsp;</td>";
+        echo "\n\t\t<td title='Flurnummer'>".$flurnummer."</td>";
+        echo "\n\t\t<td title='Flurst&uuml;cksnummer (Z&auml;hler / Nenner)'><span class='wichtig'>".$flstnummer."</span></td>";
+    echo "\n\t</tr>";
 	echo "\n\t</table>";
 echo "\n</td>\n<td>";
@@ -100,4 +98,5 @@
 
 echo "\n<p class='fsd'>Flurst&uuml;cksfl&auml;che: <b>".number_format($flstflaeche,0,",",".") . " m&#178;</b></p>";
+pg_free_result($resf);
 
 echo "\n\n<h3><img src='ico/Haus.ico' width='16' height='16' alt=''> Geb&auml;ude</h3>";
@@ -135,7 +134,7 @@
 $sqlg.="ORDER BY schnittflae DESC;";
 
-$v = array($gmlid);
-$resg = pg_prepare("", $sqlg);
-$resg = pg_execute("", $v);
+$v=array($gmlid);
+$resg=pg_prepare("", $sqlg);
+$resg=pg_execute("", $v);
 if (!$resg) {
 	echo "\n<p class='err'>Keine Geb&auml;ude ermittelt.</p>\n";
@@ -158,8 +157,5 @@
 	while($rowg = pg_fetch_array($resg)) {
 		$gebnr = $gebnr + 1;
-// ++ ToDo:
-// Die Zeilen abwechselnd verschieden einfÃ€rben 
-// Angrenzend anders einfÃ€rben 
-
+// ++ ToDo: Die Zeilen abwechselnd verschieden einfÃ€rben, Angrenzend anders einfÃ€rben 
 		$ggml=$rowg["gml_id"];
 		$gebflsum = $gebflsum + $rowg["schnittflae"];
@@ -247,5 +243,5 @@
 				echo "<br>";
 			} // Ende Loop Lagezeilen m.H.
-
+            pg_free_result($resl);
 			echo "\n\t</td>";
 
@@ -277,5 +273,5 @@
 	echo "\n<p>Flurst&uuml;cksfl&auml;che abz&uuml;glich Geb&auml;udefl&auml;che: <b>".$unbebaut."</b></p><br>";
 }
-
+pg_free_result($resg);
 ?>
 
@@ -284,7 +280,5 @@
 	<hr>
 		<a title="zur&uuml;ck" href='javascript:history.back()'><img src="ico/zurueck.ico" width="16" height="16" alt="zur&uuml;ck" /></a>&nbsp;
-		<a title="Drucken" href='javascript:window.print()'><img src="ico/print.ico" width="16" height="16" alt="Drucken" /></a>&nbsp;
-<!--	<a title="Export als CSV" href='javascript:ALKISexport()'><img src="ico/download.ico" width="16" height="16" alt="Export" /></a>&nbsp;
-		<a title="Seite schlie&szlig;en" href="javascript:window.close()"><img src="ico/close.ico" width="16" height="16" alt="Ende" /></a>	-->
+		<a title="Drucken" href='javascript:window.print()'><img src="ico/print.ico" width="16" height="16" alt="Drucken" /></a>
 	</div>
 </form>
Index: /trunk/info/info/alkis/alkisfsnw.php
===================================================================
--- /trunk/info/info/alkis/alkisfsnw.php	(revision 312)
+++ /trunk/info/info/alkis/alkisfsnw.php	(revision 313)
@@ -6,16 +6,17 @@
 
 	Version:
-	2011-11-16  Neuer Style class='dbg', Link Historie
-	2011-11-17  Parameter der Functions geÃ€ndert
-	2011-11-30  import_request_variables, $dbvers PostNAS 0.5 entfernt
-	2011-12-01  Summe der AbschnittsflÃ€chen (NUA) an amtl. BuchflÃ€che des FS angleichen 
-	2011-12-16  Zeilenumbruch in Nutzungsart, Spaltenbreite Link
-	2012-07-24  Export als CSV, pg_free_result(), pg_close()
-	2012-11-27  split deprecated, besser: explode
-	2013-01-17  FS-Kennzeichen (ALB-Format) als Parameter statt gmlid mÃ¶glich
-	2013-04-08  deprecated "import_request_variables" ersetzt
-	2013-04-11  ID-Links (im Testmodus) auch an Lagebezeichnung (mit/ohne HsNr) und an Nutzungs-Abschnitt
-	2013-06-24  Unna: Bodenneuordnung, strittige Grenze
-	2013-06-27	Bodenneuordnung u. stritt.Gr. in Tabellen-Struktur, Link zur Bodenerneuerung (neues Modul)
+	2011-11-16 Neuer Style class='dbg', Link Historie
+	2011-11-17 Parameter der Functions geÃ€ndert
+	2011-11-30 import_request_variables, $dbvers PostNAS 0.5 entfernt
+	2011-12-01 Summe der AbschnittsflÃ€chen (NUA) an amtl. BuchflÃ€che des FS angleichen 
+	2011-12-16 Zeilenumbruch in Nutzungsart, Spaltenbreite Link
+	2012-07-24 Export als CSV, pg_free_result(), pg_close()
+	2012-11-27 split deprecated, besser: explode
+	2013-01-17 FS-Kennzeichen (ALB-Format) als Parameter statt gmlid mÃ¶glich
+	2013-04-08 deprecated "import_request_variables" ersetzt
+	2013-04-11 ID-Links (im Testmodus) auch an Lagebezeichnung (mit/ohne HsNr) und an Nutzungs-Abschnitt
+	2013-06-24 Unna: Bodenneuordnung, strittige Grenze
+	2013-06-27 Bodenneuordnung u. stritt.Gr. in Tabellen-Struktur, Link zur Bodenerneuerung (neues Modul)
+    2014-01-30 Korrektur Nutzungsart (z.B. Friedhof mit class=0 hatte Anzeige "unbekannt")
 
 	ToDo:
@@ -23,5 +24,4 @@
 	- EntschlÃŒsseln "Bahnkategorie" bei Bahnverkehr, "OberflÃ€chenmaterial" bei Unland
 	  Dazu evtl. diese Felder ins Classfld verschieben (Meta-Tabellen!)
-	- NamNum >bestehtAusRechtsverhaeltnissenZu> NamNum
 */
 session_start();
@@ -367,15 +367,11 @@
 // ENDE  L a g e b e z e i c h n u n g
 
-// ** N U T Z U N G **
+// ** N U T Z U N G ** Gemeinsame FlÃ€che von NUA und FS
 // Tabellenzeilen (3 Spalten) mit tats. Nutzung zu einem FS ausgeben
-$sql ="SELECT m.title, m.fldclass, m.fldinfo, n.gml_id, c.class, n.info, n.zustand, n.name, n.bezeichnung, m.gruppe, ";
-// Gemeinsame FlÃ€che von NUA und FS
-$sql.="st_area(st_intersection(n.wkb_geometry,f.wkb_geometry)) AS schnittflae, ";
-$sql.="c.label, c.blabla ";
-$sql.="FROM ax_flurstueck f, nutzung n ";
-$sql.="JOIN nutzung_meta m ON m.nutz_id=n.nutz_id ";
+$sql ="SELECT m.title, m.fldclass, m.fldinfo, n.gml_id, n.nutz_id, n.class, n.info, n.zustand, n.name, n.bezeichnung, m.gruppe, ";
+$sql.="st_area(st_intersection(n.wkb_geometry,f.wkb_geometry)) AS schnittflae, c.label, c.blabla ";
+$sql.="FROM ax_flurstueck f, nutzung n JOIN nutzung_meta m ON m.nutz_id=n.nutz_id ";
 $sql.="LEFT JOIN nutzung_class c ON c.nutz_id=n.nutz_id AND c.class=n.class ";
-$sql.="WHERE f.gml_id= $1 "; // id FS";
-$sql.="AND st_intersects(n.wkb_geometry,f.wkb_geometry) = true "; // ueberlappende Flaechen
+$sql.="WHERE f.gml_id= $1 AND st_intersects(n.wkb_geometry,f.wkb_geometry) = true "; // id FS, ueberlappende Flaechen
 $sql.="AND st_area(st_intersection(n.wkb_geometry,f.wkb_geometry)) > 0.05 "; // unter Rundung
 $sql.="ORDER BY schnittflae DESC;";
@@ -391,10 +387,11 @@
 $j=0;
 while($row = pg_fetch_array($res)) {
-	$grupp = $row["gruppe"];  // Individuelles Icon?
-	$title = htmlentities($row["title"], ENT_QUOTES, "UTF-8"); // NUA-Titel
-	$fldclass=$row["fldclass"]; // Feldname 1.  Zusatzfeld
-	$fldinfo= $row["fldinfo"];  // Feldname 2. Zusatzfeld
+	$grupp=$row["gruppe"]; // 4 Gruppen
+    $nutzid=$row["nutz_id"]; // 27 Tabellen, num. Key
+	$title=htmlentities($row["title"], ENT_QUOTES, "UTF-8"); // Titel der 27 Tabellen
+	$fldclass=$row["fldclass"]; // Name 1. Zusatzfeld
+	$fldinfo= $row["fldinfo"];  // Name 2. Zus.
 	$gml=$row["gml_id"];
-	$class=$row["class"];  // 1. Zusatzfeld verschlÃŒsselt -> nutzung_class
+	$class=$row["class"]; // 1. Zusatzfeld verschlÃŒsselt -> nutzung_class
 	$info=$row["info"]; // 2. Zus. verschlÃŒsselt (noch keine Info zum entschl.)
 	$schnittflae=$row["schnittflae"];
@@ -404,5 +401,5 @@
 	$bez=$row["bezeichnung"]; // weiterer Name (unverschl.)
 	$blabla=htmlentities($row["blabla"], ENT_QUOTES, "UTF-8");
-	$label=str_replace("/", "<br>", $label); // Ersetzen "/" durch Zeilenwechsel?
+	$label=str_replace("/", "<br>", $label); // Ersetzt "/" durch html-Zeilenwechsel
 
 	echo "\n<tr>\n\t";
@@ -418,6 +415,9 @@
 
 		echo "\n\t<td class='lr'>";
-			If ( ($fldclass == "Funktion" OR $fldclass == "Vegetationsmerkmal") AND $label != "") { // Kurze Anzeige
-				if ($showkey) {echo "<span class='key'>(".$class.")</span> ";}
+            if ($class == 0) {
+                if ($showkey) {echo "<span class='key'>(".$nutzid.")</span> ";}
+                echo $title; // Name der Tabelle
+            } elseif ( ($fldclass == "Funktion" OR $fldclass == "Vegetationsmerkmal") AND $label != "") { // Kurze Anzeige
+				if ($showkey) {echo "<span class='key' title='".$fldclass."'>(".$nutzid."-".$class.")</span> ";}
 				if ($blabla = "") {
 					echo $label;
@@ -429,5 +429,5 @@
 				if ($class != "") { // NUA-SchlÃŒssel
 					echo ", ".$fldclass.": "; // Feldname
-					if ($showkey) {echo "<span class='key'>(".$class.")</span> ";}
+					if ($showkey) {echo "<span class='key' title='".$fldclass."'>(".$nutzid."-".$class.")</span> ";}
 					if ($label != "") { // Bedeutung dazu wurde erfasst
 						if ($blabla = "") {
Index: /trunk/info/info/alkis/alkisstrasse.php
===================================================================
--- /trunk/info/info/alkis/alkisstrasse.php	(revision 312)
+++ /trunk/info/info/alkis/alkisstrasse.php	(revision 313)
@@ -7,6 +7,7 @@
 
 	Version:
-	2014-01-23  Neu
-	2014-01-24  CSV-Export
+	2014-01-23 Neu
+	2014-01-24 CSV-Export
+    2014-01-30 pg_free_result
 */
 session_start();
@@ -124,4 +125,5 @@
 
 echo "\n\t</td>\n</tr>\n</table>";
+pg_free_result($res);
 // Ende Seitenkopf
 
@@ -129,6 +131,6 @@
 echo "\n\n<a name='fs'></a><h3><img src='ico/Flurstueck.ico' width='16' height='16' alt=''> Flurst&uuml;cke</h3>\n";
 echo "\n<p>Zusammenfassung von 'Lage mit Hausnummer' und 'Lage ohne Hausnummer' an dieser StraÃe</p>";
-// ax_Flurstueck  >weistAuf>  ax_LagebezeichnungMitHausnummer  > > Lage "Mit HsNr"  = Hauptgebaeude 
-// ax_Flurstueck  >zeigtAuf>  ax_LagebezeichnungOhneHausnummer > > Lage "Ohne HsNr" = Strasse
+// ax_Flurstueck >weistAuf> ax_LagebezeichnungMitHausnummer  > = Hauptgebaeude 
+// ax_Flurstueck >zeigtAuf> ax_LagebezeichnungOhneHausnummer > = Strasse
 $sql="SELECT g.gemarkungsnummer, g.bezeichnung, f.gml_id, f.flurnummer, f.zaehler, f.nenner, f.amtlicheflaeche, duett.lgml, duett.hausnummer FROM ax_flurstueck f ";
 $sql.="JOIN ax_gemarkung g ON f.land=g.land AND f.gemarkungsnummer=g.gemarkungsnummer ";
@@ -194,5 +196,5 @@
 }
 echo "\n</table>";
-
+pg_free_result($res);
 ?>
 