Index: trunk/import/alkis_PostNAS_schema.sql
===================================================================
--- trunk/import/alkis_PostNAS_schema.sql	(revision 312)
+++ trunk/import/alkis_PostNAS_schema.sql	(revision 314)
@@ -17,19 +17,4 @@
 -- Stand
 -- -----
-
--- letzte Ãnderungen an Version 0.6:
-
--- 2011-11-02 FJ: Neue Tabellen
--- 2011-11-04 FJ: Anpassungen fuer Buchauskunft "Historie"
--- 2011-11-21 FJ: siehe Version 0.6
--- 2011-12-16 FJ: Neue Tabelle "ax_sicherungspunkt"
--- 2012-01-16 FJ: Spalte "ap_pto.art" wird doch gebraucht.
-
--- ** Neuer Zweig PostNAS 0.7 (gdal > 1.9) **
-
--- 2012-02-28 FJ: ZusammenfÃŒhren von Ãnderungen aus SVN (AE: Anfang Februar) mit eigener Version
---                Auskommentierte Zeilen "identifier" entfernt.
---                Feld "gemeindezugehoerigkeit" auskommentiert.
---                Bereinigung Kommentare.
 
 -- 2012-04-23 FJ  Diff zum GDAL-Patch #4555 angewendet:
@@ -68,22 +53,23 @@
 
 -- 2014-01-24 FJ  Feld "ax_datenerhebung_punktort" in "Punktort/TA/AG/AU" nach Vorschlag Marvin Brandt (Kreis Unna)
+
 -- 2014-01-29 FJ  Spalte "zeitpunktderentstehung" an allen Vorkommen auf Format "varchar".
 --                Alte auskommentierte Varianten entrÃŒmpelt. 
 --                Tabs durch Space ersetzt und Code wieder hÃŒbsch ausgerichtet.
 
+-- 2014-01-31 FJ  Erweiterungen Marvin Brand (Unna) fuer sauberes Entfernen alter Beziehungen bei "replace".
+--                LÃ¶sung ÃŒber import_id.
+
 
 --  VERSIONS-NUMMER:
 
 --  Dies Schema kann NICHT mehr mit der installierbaren gdal-Version 1.9 verwendet werden.
---  Derzeit muss ogr2ogr (gdal) aus den Quellen compiliert werden, die o.g. Patch enthalten.
+--  Derzeit muss ogr2ogr (gdal) aus den Quellen compiliert werden, die o.g. Patch #4555 enthalten.
 --  WeiterfÃŒhrung dieses Zweiges als PostNAS 0.7
 
-
--- Zur Datenstruktur siehe Dokument:
--- http://www.bezreg-koeln.nrw.de/extra/33alkis/dokumente/Profile_NRW/5-1-1_ALKIS-OK-NRW_GDB.html
--- http://www.bezreg-koeln.nrw.de/extra/33alkis/dokumente/ALKIS_NRW/Pflichtenheft/Anlage03/Anlage3_ALKIS-OK-NRW_MAX.html
-
--- Ãbersicht "Landesspezifische Festlegungen zu ALKIS in NRW":
--- http://www.bezreg-koeln.nrw.de/extra/33alkis/alkis_nrw.htm
+-- ALKIS-Dokumentation (NRW):
+--  http://www.bezreg-koeln.nrw.de/extra/33alkis/alkis_nrw.htm
+--  http://www.bezreg-koeln.nrw.de/extra/33alkis/geoinfodok.htm
+--  http://www.bezreg-koeln.nrw.de/extra/33alkis/dokumente/GeoInfoDok/ALKIS/ALKIS_OK_V6-0.html
 
   SET client_encoding = 'UTF8';
@@ -108,7 +94,24 @@
 --SELECT alkis_drop();
 
+
+-- Importtabelle fÃŒr Verarbeitungen
+CREATE TABLE import (
+  id serial NOT NULL,
+  datum timestamp without time zone,
+  verzeichnis text,
+  importart text,
+  CONSTRAINT import_pk PRIMARY KEY (id)
+);
+
+CREATE UNIQUE INDEX import_id ON import USING btree (id);
+
+COMMENT ON TABLE  import             IS 'Verwaltung der Import-ProgrammlÃ€ufe. Wird nicht vom Konverter gefÃŒllt sondern aus der Start-Prozedur (z.B. konv_batch.sh).';
+COMMENT ON COLUMN import.id          IS 'Laufende Nummer der Konverter-Datei-Verarbeitung. Der Max-Wert von "id" wird als "alkis_beziehungen.import_id" verwendet, um ein vollstÃ€ndiges LÃ¶schen alter Beziehungen zu ermÃ¶glichen.';
+COMMENT ON COLUMN import.datum       IS 'Zeitpunkt des Beginns des Konverter-Laufes fÃŒr einen Stapel von NAS-Dateien.';
+COMMENT ON COLUMN import.verzeichnis IS 'Ort von dem die NAS-Dateien verarbeitet wurden.';
+COMMENT ON COLUMN import.importart   IS 'Modus des Konverter-Laufes: e="Erstladen" oder a="NBA-Aktualisierung"';
+
 -- Tabelle delete fÃŒr LÃ¶sch- und FortfÃŒhrungsdatensÃ€tze
-CREATE TABLE "delete"
-(
+CREATE TABLE "delete" (
      ogc_fid             serial NOT NULL,
      typename            varchar,
@@ -127,5 +130,4 @@
 CREATE UNIQUE INDEX delete_fid ON "delete"(featureid);
 
-
 COMMENT ON TABLE "delete"             IS 'Hilfstabelle fÃŒr das Speichern von LÃ¶schinformationen.';
 COMMENT ON COLUMN delete.typename     IS 'Objektart, also Name der Tabelle, aus der das Objekt zu lÃ¶schen ist.';
@@ -148,14 +150,10 @@
 -- ZusÃ€tzlich enthÃ€lt 'beziehungsart' noch ein Verb fÃŒr die Art der Beziehung.
 
--- 2013-07-10 Erweiterung nach Vorschlag Marvin Brandt (Kreis Unna)
--- Durch Typenamen bessere Zuordnung der verlinkten Tabellen mÃ¶glich.
 CREATE TABLE alkis_beziehungen (
    ogc_fid          serial NOT NULL,
    beziehung_von    character(16),   --> gml_id
-   von_typename     varchar,
-   beginnt          character(20),
    beziehungsart    varchar,         --  Liste siehe unten
    beziehung_zu     character(16),
-   zu_typename      varchar,
+   import_id        integer,         -- 2014-01-31 
    CONSTRAINT alkis_beziehungen_pk PRIMARY KEY (ogc_fid)
 );
@@ -164,4 +162,5 @@
 CREATE INDEX alkis_beziehungen_zu_idx  ON alkis_beziehungen USING btree (beziehung_zu);
 CREATE INDEX alkis_beziehungen_art_idx ON alkis_beziehungen USING btree (beziehungsart);
+
 
 -- Dummy-Eintrag in Metatabelle
@@ -172,8 +171,7 @@
 COMMENT ON COLUMN alkis_beziehungen.beziehung_zu  IS 'Join auf Feld gml_id verschiedener Tabellen';
 COMMENT ON COLUMN alkis_beziehungen.beziehungsart IS 'Typ der Beziehung zwischen der von- und zu-Tabelle';
-
-COMMENT ON COLUMN alkis_beziehungen.von_typename  IS 'Name der Tabelle der VON-Beziehung'; -- 2013-07-10
-COMMENT ON COLUMN alkis_beziehungen.beginnt       IS 'Mit Trigger kopiertes Beginnt-Datum des Datensatzes auf der Seite beziehung_von'; -- 2013-07-10
-COMMENT ON COLUMN alkis_beziehungen.zu_typename   IS 'Name der Tabelle der ZU-Beziehung';  -- 2013-07-10
+--MMENT ON COLUMN alkis_beziehungen.beginnt       IS 'Mit Trigger kopiertes Beginnt-Datum des Datensatzes auf der Seite beziehung_von';
+COMMENT ON COLUMN alkis_beziehungen.import_id     IS 'laufende Nummer des Konverter-Laufes aus "import.id".';
+
 
 