Index: trunk/mapbender/http/nav/alkisnav_eig.php
===================================================================
--- trunk/mapbender/http/nav/alkisnav_eig.php	(revision 309)
+++ trunk/mapbender/http/nav/alkisnav_eig.php	(revision 315)
@@ -3,13 +3,13 @@
 	2013-04-16 "import_request_variables" entfÃ€llt in PHP 5.4
 	2013-04-26	Ersetzen View "gemeinde_gemarkung" durch Tabelle "pp_gemarkung".
-					Stufe 2: GB *und* FS mit einem Klick anzeigen.
-					BlÃ€tterfunktion (Folgeseiten) fÃŒr lange Listen. 
-					Function extern gemeinsam genutzt in _eig und _grd.
-					Dazu Var-Namen harmonisieren: $gb wird $blattgml.
-					ZurÃŒck-Link, Titel der Transaktion anzeigen.
+				Stufe 2: GB *und* FS mit einem Klick anzeigen.
+				BlÃ€tterfunktion (Folgeseiten) fÃŒr lange Listen. 
+				Function extern gemeinsam genutzt in _eig und _grd.
+				Dazu Var-Namen harmonisieren: $gb wird $blattgml.
+				ZurÃŒck-Link, Titel der Transaktion anzeigen.
 	2013-04-29	Darstellung mit IE
 	2013-05-07  Strukturierung des Programms, redundanten Code in Functions zusammen fassen
 	2013-05-14  Hervorhebung aktuelles Objekt, Parameter "gbkennz" auswerten,
-					Title auch auf Icon, IE zeigt sonst alt= als Title dar.
+				Title auch auf Icon, IE zeigt sonst alt= als Title dar.
 */
 $cntget = extract($_GET);
@@ -568,17 +568,17 @@
 
 // Quo Vadis?
-if($blattgml != "") {		// FlurstÃŒcke zum Grundbuch
+if($blattgml != "") { // FlurstÃŒcke zum Grundbuch
 
 	// Das Programm hat sich selbst verlinkt aus einer Liste der GB zu einem EigentÃŒmer.
 	// Wenn Parameter mitgegeben wurden, kÃ¶nnen diese fÃŒr einen "Link zurÃŒck" verwendet werden.
 	$trans="Flurst&uuml;cke zum Grundbuch";
-	getFSbyGB(true);				// mit BackLink
-
-} elseif($person != "") { 		// GrundbÃŒcher zur Person
+	getFSbyGB(true); // mit BackLink
+
+} elseif($person != "") { // GrundbÃŒcher zur Person
 	// Das Programm hat sich selbst verlinkt aus einer Liste der Personen zu einer Suchmaske.
 	if ($debug >= 2) {echo "\n<p class='dbg'>Gemeinde-Filter-Steuerung = '".$gfilter."'</p>";}
 
 	// Die Filtereinstellung beeinflusst die Such-Strategie:
-	if ($gfilter == 0) {			// Keine Filterung auf "Gemeinde": groÃe Datenmenge
+	if ($gfilter == 0) { // Keine Filterung auf "Gemeinde": groÃe Datenmenge
 		if ($kennztyp > 1) {
 			$trans = "Grundb&uuml;cher in ".$zgbbez." von .."; // Filter GB-Bez
@@ -592,5 +592,5 @@
 			getFSbyGB(false); 	// Dann dazu auch gleich die Stufe 3 hinterher, aber ohne Backlink.
 		}
-	} else { 						// mit Filter auf Gemeinde: weniger Daten?
+	} else { // mit Filter auf Gemeinde: weniger Daten?
 		if ($kennztyp > 1) {
 			#trans="Grundb. und Flurst. in ".$zgbbez." von .. "; // zu lang
@@ -600,16 +600,16 @@
 			$trans="Grundb. und Flurst. von .."; // der EigentÃŒmer steht darunter
 		}
-		getGBuFSbyPerson();		// Schritte 2+3 gleichzeitig, dabei Gemeinde-Filter auf Stufe 3
-	}
-
-} elseif(isset($name)) {		// Suchbegriff aus Form: Suche nach Name
+		getGBuFSbyPerson(); // Schritte 2+3 gleichzeitig, dabei Gemeinde-Filter auf Stufe 3
+	}
+
+} elseif(isset($name)) { // Suchbegriff aus Form: Suche nach Name
 
 	$trans="Namensuche \"".$name."\"";
-	getEigByName(); 				// Suchen nach Namensanfang
-
-	if($person != "") {			// genau EIN Treffer zum Namen
+	getEigByName(); // Suchen nach Namensanfang
+
+	if($person != "") { // genau EIN Treffer zum Namen
 		if ($gfilter == 0) {
 			$trans="Grundb&uuml;cher zum Namen";
-			getGBbyPerson();		// Dann gleich das Grundbuch hinterher
+			getGBbyPerson(); // Dann gleich das Grundbuch hinterher
 		} else {
 			$trans="Grdb. und Flst. zum Namen";
Index: trunk/mapbender/http/nav/alkisnav.css
===================================================================
--- trunk/mapbender/http/nav/alkisnav.css	(revision 309)
+++ trunk/mapbender/http/nav/alkisnav.css	(revision 315)
@@ -1,57 +1,54 @@
 /* Style fuer ALKIS-Navigation 
-	Version
-	2013-04-29	Abgleich Darstellung in IE/FF
-	2013-05-08  in Arbeit ...
+ Version
+  2013-04-29 Abgleich Darstellung in IE/FF
+  2013-05-15 EinrÃŒckungen vergrÃ¶Ãert
+  2014-02-06 kosmetische Ãberarbeitung 
 */
 body,p,a,.textfield,.sbutton	{font-family: Verdana, Arial, Helvetica, sans-serif;}
-body		{font-size: 11px; color: #000000; margin: 0px; border: 0px;}
-p			{font-size: 10px;}
+body {font-size: 11px; color: #000000; margin: 0px; border: 0px;}
+p {font-size: 10px;}
 p.hilfe 	{font-size:  9px; text-align: right; color: gray; padding-right: 3px;} /* Programmier-Hilfsfelder */
 p.start 	{font-size:  9px; color: gray; padding: 2px; margin: 2px; border: 0px;}
-p.nam		{font-size: 10px; border: 1px solid navy; padding: 3px; margin: 0px; color: maroon;}
-p.err		{font-size: 11px; color: red;}	/* Fehler -> Anwender */
-p.dbg		{font-size: 10px; color: gray;}	/* Debug -> Entwickler */
-p.ein, p.anz, p.blt	{font-size: 9px; text-align: right;}	/* Einleitung, Anzahl am Ende, BlÃ€ttern weitere ... */
-p.ein  	{color: navy; font-weight: bold;}
-p.anz, p.blt	{color: purple;}
+p.nam {font-size: 10px; border: 1px solid navy; padding: 3px; margin: 0px; color: maroon;}
+p.err {font-size: 11px; color: red;} /* Fehler -> Anwender */
+p.dbg {font-size: 10px; color: gray;} /* Debug -> Entwickler */
+p.ein, p.anz, p.blt	{font-size: 9px; text-align: right;} /* Einleitung, Anzahl am Ende, BlÃ€ttern weitere ... */
+p.ein  {color: navy; font-weight: bold;}
+p.anz, p.blt {color: purple;}
 
-a			{text-decoration: none;}
-a:hover, a:active	{color: red;}
-a.hislnk {color: gray; font-style: italic; text-align: right; padding-left: 50px;}	/* Link zur Historie */
+a {text-decoration: none;}
+a:hover, a:active {color: red;}
+a.hislnk {color: gray; font-style: italic; text-align: right; padding-left: 50px;} /* Link zur Historie */
 a.hsnro	{color: gray; font-style: italic;} /* HsNr ohne Haus */
-a.blt		{color: maroon; background-color: yellow;} 	/* Link weitere ... */
+a.blt {color: maroon; background-color: yellow;} /* Link weitere ... */
 
 /* abgestuft eingerueckte Treffer in der Suche */
-div			{margin: 0px; padding: 0px;}
-div.back 	{font-size: 10px; color: gray; border-bottom: 1px dotted gray;}
+div {margin: 0px; padding: 0px;}
+div.back {font-size: 10px; color: gray; border-bottom: 1px dotted gray;}
 
-div.ga		{color: fuchsia;	margin-left:  0px; margin-top: 6px;} /* GB-Amtsgericht */
-div.gm		{color: green;		margin-left:  0px; margin-top: 6px;} /* Gemeinde */
+div.ga {color: fuchsia; margin-left: 0px; margin-top: 6px;} /* GB-Amtsgericht */
+div.gm {color: green; margin-left: 0px; margin-top: 6px;} /* Gemeinde */
+div.gk {color: black; margin-left: 7px; margin-top: 6px;} /* Gemarkung o. GB-Bezirk */
+div.pe {color: black; margin-left: 7px; margin-top: 0px;} /* Person, Eigentuemer */
+div.fl {color: olive; margin-left: 17px; margin-top: 4px;} /* Flur ()zw. Gemarkg und Flst.) */
+div.gb {color: green; margin-left: 14px; margin-top: 3px;} /* Grundbuch */
+div.gs {color: olive; margin-left: 21px; margin-top: 2px;} /* Grundstueck, BVNR */
+div.fs {color: navy; margin-left: 28px; margin-top: 0px;} /* Flurstueck */
+div.hi {color: gray; margin-left: 28px; margin-top: 0px;} /* Historie */
+div.hn, p.hn	{color: gray; margin-left: 28px; margin-top: 0px;} /* Historie-Nachfolger */
 
-div.gk		{color: black;		margin-left:  5px; margin-top: 6px;} /* Gemarkung o. GB-Bezirk */
-div.pe		{color: black;		margin-left:  5px; margin-top: 0px;} /* Person, Eigentuemer */
+div.stu {color: maroon; font-size: 13px;} /* Strasse - Ueberschrift */
 
-div.fl		{color: olive;		margin-left: 12px; margin-top: 4px;} /* Flur */
+div.stl {color: maroon; font-size: 11px; margin-top: 3px; margin-left: 7px} /* Strasse - Liste */
 
-div.gb		{color: green;		margin-left: 10px; margin-top: 3px;} /* Grundbuch */
-
-div.gs		{color: olive;		margin-left: 15px; margin-top: 2px;} /* Grundstueck, BVNR */
-
-div.fs		{color: navy;		margin-left: 20px; margin-top: 0px;} /* Flurstueck */
-div.hi		{color: gray;		margin-left: 20px; margin-top: 0px;} /* Historie */
-div.hn, p.hn	{color: gray;		margin-left: 20px; margin-top: 0px;} /* Historie-Nachfolger */
-
-div.stu		{color: maroon; font-size: 13px;} /* Strasse - Ueberschrift */
-div.stl		{color: maroon; font-size: 11px; margin-top: 3px;} /* Strasse - Liste */
-
-td.hsnr		{font-size: 11px; text-align: center; padding-left: 4px; padding-right: 4px;} /* Hausnummer */
-hr				{color: silver; background-color: silver; height: 2px; border: 0px; width: 98%;}
-dfn.title	{color: maroon; font-size: 10px; text-align: right; padding-left: 8px; padding-right: 4px;}
-.aktuell		{background-color: #fdfbd0;}
-.textfield	{border: 1px solid #990000; height: 20px; width: 140px; background: #FFFFFF;}
-.sbutton		{font-size: 11px; font-weight: normal; border: solid 1px #000000; width: 22px; height: 20px; background: #6699FF;}
-img			{border: 0px;} /* Icons */
-img.nwlink	{border: 0px; margin: 0px; padding: 0px;} /* ..mit Link zum Buch-Nachweis */
-.letter		{cursor: pointer; font-weight: bold;} /* Liste Anfangsbuchstaben */
+td.hsnr {font-size: 11px; text-align: center; padding-left: 4px; padding-right: 4px;} /* Hausnummer */
+hr {color: silver; background-color: silver; height: 2px; border: 0px; width: 98%;}
+dfn.title {color: maroon; font-size: 10px; text-align: right; padding-left: 8px; padding-right: 4px;}
+.aktuell {background-color: #fdfbd0;}
+.textfield {border: 1px solid #990000; height: 20px; width: 140px; background: #FFFFFF;}
+.sbutton {font-size: 11px; font-weight: normal; border: solid 1px #000000; width: 22px; height: 20px; background: #6699FF;}
+img {border: 0px;} /* Icons */
+img.nwlink {border: 0px; margin: 0px; padding: 0px;} /* ..mit Link zum Buch-Nachweis */
+.letter {cursor: pointer; font-weight: bold;} /* Liste Anfangsbuchstaben */
 
 /* Registertabs: ul in einem div id='tabs' */
@@ -59,20 +56,11 @@
 	margin-top: 0px; margin-left: 0px; margin-bottom: 20px;
 	padding: 0px; width: 220px; text-align: left; border: 0px dashed #00aa00;}
-div#tabs li {
-	cursor: pointer;
-	list-style: none; /* Eintraege NEBENeinander */
-	float: left;
-	text-align: center;
-	background-color: #F9F9F9;
-	border: 1px solid #CCD5DE;
-	border-bottom-width: 1px;
-	vertical-align: text-bottom;
-	position: relative;
+div#tabs li {cursor: pointer; list-style: none; /* Eintraege NEBENeinander */
+	float: left; text-align: center; background-color: #F9F9F9;
+	border: 1px solid #CCD5DE; border-bottom-width: 1px;
+	vertical-align: text-bottom; position: relative;
 	background-image: url(./img/tab_bg_grau.gif); /* inaktive Tabs grau */
-	background-repeat: repeat-x;
-	background-position: top left;
-	margin: 0 3px 0 0;
-	padding: 2px;
-}
+	background-repeat: repeat-x; background-position: top left;
+	margin: 0 3px 0 0; padding: 2px;}
 div#tabs li.aktiveTab {
 	background-image: url(./img/tab_bg_rot.gif);  /* aktive Tabs rot */
Index: trunk/mapbender/http/nav/alkisnav_fkt.php
===================================================================
--- trunk/mapbender/http/nav/alkisnav_fkt.php	(revision 309)
+++ trunk/mapbender/http/nav/alkisnav_fkt.php	(revision 315)
@@ -3,4 +3,6 @@
 	2013-05-07  Strukturierung des Programms, redundanten Code in Functions zusammen fassen
 	2013-05-14  Hervorhebung aktuelles Objekt, Title auch auf Icon, IE zeigt sonst alt= als Title dar.
+	2013-05-15  Function verlegt
+    2014-02-06  Korrektur zeile_person
 */
 
@@ -168,7 +170,22 @@
 }
 
+function zeile_gemeinde ($gmdnr, $gmdname, $aktuell) {
+	// Eine Zeile zu Gemeinde ausgeben, SchlÃŒssel und Name wird ÃŒbergeben
+	global $gkz, $gemeinde, $epsg;
+	$stadt=htmlentities($gmdname, ENT_QUOTES, "UTF-8");
+	$bez=urlencode($gmdname);
+	if ($aktuell) {$cls=" aktuell";}
+	echo "\n<div class='gm".$cls."' title='Gemeinde'>";
+		echo "\n\t\t<img class='nwlink' src='ico/Gemeinde.ico' width='16' height='16' alt='Stadt'>";
+		echo " Gem. <a href='".$_SERVER['SCRIPT_NAME']."?gkz=".$gkz."&amp;gemeinde=".$gemeinde."&amp;epsg=".$epsg."&amp;gm=".$gmdnr."&amp;bez=".$bez."'>";		
+		echo  " ".$stadt."</a> (".$gmdnr.")";
+	echo "\n</div>";
+	return;
+}
+
 function zeile_flurstueck ($fs_gml, $fskenn, $x, $y, $gmkg, $flur, $aktuell) {
 	// Zeile mit Icon (Link zum Buch-Nachweis) und Text (Link zum Positionieren)
 	global $gkz, $gemeinde, $epsg, $auskpath, $scalefs;
+
 	if ($aktuell) {$cls=" aktuell";}
 	echo "\n<div class='fs".$cls."'>";
@@ -197,12 +214,12 @@
 function zeile_person ($persongml, $nachname, $vorname) {
 	global $gkz, $gemeinde, $epsg, $auskpath;
-	// Zeile  P e r s o n   (oder Firma)
+	// Zeile  P e r s o n (oder Firma)
 	$nnam=htmlentities($nachname, ENT_QUOTES, "UTF-8");
 	$namlnk=urlencode($nachname);
 	$vnam=htmlentities($vorname, ENT_QUOTES, "UTF-8");
-	// Link zur Auskunft Person ++ Icon differenzieren? Firma/Person
+	// Link zur Auskunft Person ++ Icon differenzieren nach Eigentuemerart?
 
 echo "<div class='pe'>
-	<a title='Nachweis' href='javascript:imFenster(\"".$auskpath."alkisnamstruk.php?gkz=".$gkz."&amp;gemeinde=".$gemeinde."&amp;gmlid=".$gml."\")'>
+	<a title='Nachweis' href='javascript:imFenster(\"".$auskpath."alkisnamstruk.php?gkz=".$gkz."&amp;gemeinde=".$gemeinde."&amp;gmlid=".$persongml."\")'>
 		<img class='nwlink' src='ico/Eigentuemer.ico' width='16' height='16' alt='EIG' title='Nachweis'>
 	</a> 		