Index: /trunk/import/pp_laden.sql
===================================================================
--- /trunk/import/pp_laden.sql	(revision 318)
+++ /trunk/import/pp_laden.sql	(revision 319)
@@ -17,5 +17,5 @@
 --  2012-10-24 Neue Tabelle für die Präsentation von Straßennamen und -Klassifikationen
 --  2014-02-05 Bereits auskommentierte Aktionen gelöscht für die Beseitigung von Rdundanzen aus fehlerhaften Triggern
-
+--  2014-02-12 Zusammen fassen Flur->Gemarkung->Gemeinde nicht aus simple_geom weil dadurch Löscher entstehen können.
 
 -- ============================
@@ -52,5 +52,5 @@
 
 --DELETE FROM pp_flurstueck_nr;
-  TRUNCATE pp_flurstueck_nr;    -- effektiver als DELETE
+  TRUNCATE pp_flurstueck_nr;  -- effektiver als DELETE
 
   INSERT INTO pp_flurstueck_nr
@@ -183,10 +183,4 @@
 -- Ausführungszeit: 1 mittlere Stadt mit ca. 14.000 Flurstücken > 100 Sek
 
--- ToDo:
---   Nur "geprüfte Flurstücke" verwenden?  Filter?
-
---   070: TopologyException: found non-noded intersection between   ...
-
-
 DELETE FROM pp_flur;
 
@@ -194,13 +188,9 @@
    SELECT  f.land, f.regierungsbezirk, f.kreis, f.gemarkungsnummer as gemarkung, f.flurnummer, 
            count(gml_id) as anz_fs,
-           st_multi(st_union(st_buffer(f.wkb_geometry,0.05))) AS the_geom -- 5 cm Zugabe um Zwischenräume zu vermeiden
+           st_multi(st_union(st_buffer(f.wkb_geometry,0.05))) AS the_geom -- Zugabe um Zwischenräume zu vermeiden
      FROM  ax_flurstueck f
      WHERE f.endet IS NULL
   GROUP BY f.land, f.regierungsbezirk, f.kreis, f.gemarkungsnummer, f.flurnummer;
 
--- Geometrie vereinfachen, auf 1 Meter glätten
-UPDATE pp_flur SET simple_geom = st_simplify(the_geom, 1.0);
-
-
 -- Fluren zu Gemarkungen zusammen fassen
 -- -------------------------------------
@@ -210,12 +200,11 @@
 -- UPDATE: ../../source/headers/geos/noding/SegmentString.h:175: void geos::noding::SegmentString::testInvariant() const: Zusicherung »pts->size() > 1« nicht erfüllt.
 
-
--- Flächen vereinigen (aus der bereits vereinfachten Geometrie)
+-- Flächen vereinigen
 UPDATE pp_gemarkung a
   SET the_geom = 
-   ( SELECT st_multi(st_union(st_buffer(b.simple_geom,0.1))) AS the_geom -- noch mal 10 cm Zugabe
-     FROM    pp_flur b
-     WHERE a.land      = b.land 
-       AND a.gemarkung = b.gemarkung
+   ( SELECT st_multi(st_union(st_buffer(b.the_geom,0.1))) AS the_geom -- Puffer/Zugabe um Löcher zu vermeiden
+       FROM pp_flur b
+      WHERE a.land      = b.land 
+        AND a.gemarkung = b.gemarkung
    );
 
@@ -229,7 +218,4 @@
    ); -- Gemarkungsnummer ist je BundesLand eindeutig
 
--- Geometrie vereinfachen (Wirkung siehe pp_gemarkung_analyse)
-UPDATE pp_gemarkung SET simple_geom = st_simplify(the_geom, 8.0);
-
 
 -- Gemarkungen zu Gemeinden zusammen fassen
@@ -239,5 +225,5 @@
 UPDATE pp_gemeinde a
   SET the_geom = 
-   ( SELECT st_multi(st_union(st_buffer(b.simple_geom,0.1))) AS the_geom -- noch mal Zugabe 10 cm
+   ( SELECT st_multi(st_union(st_buffer(b.the_geom,0.1))) AS the_geom -- noch mal Zugabe
      FROM    pp_gemarkung b
      WHERE a.land     = b.land 
@@ -254,6 +240,14 @@
    );
 
--- Geometrie vereinfachen (Wirkung siehe pp_gemeinde_analyse)
-UPDATE pp_gemeinde SET simple_geom = st_simplify(the_geom, 20.0);
+
+-- Geometrie glätten / vereinfachen
+-- Diese "simplen" Geometrien sollen nur für die Darstellung einer Übersicht verwendet werden.
+-- Ablage der simplen Geometrie in einem alternativen Geometriefeld im gleichen Datensatz.
+
+UPDATE pp_flur      SET simple_geom = st_simplify(the_geom, 0.4); -- Flur 
+
+UPDATE pp_gemarkung SET simple_geom = st_simplify(the_geom, 2.0); -- Gemarkung  (Wirkung siehe pp_gemarkung_analyse)
+
+UPDATE pp_gemeinde  SET simple_geom = st_simplify(the_geom, 5.0); -- Gemeinde (Wirkung siehe pp_gemeinde_analyse)
 
 
Index: /trunk/info/info/alkis/alkisinlayausk.php
===================================================================
--- /trunk/info/info/alkis/alkisinlayausk.php	(revision 318)
+++ /trunk/info/info/alkis/alkisinlayausk.php	(revision 319)
@@ -11,10 +11,11 @@
 
 	Version:
-	2011-11-17  Link FS-Historie, Parameter der Functions geÃ€ndert
-	2011-11-30  import_request_variables, $dbvers PostNAS 0.5 entfernt
-	2011-12-14  "window.open(..,width=680)"
-	2013-04-08  deprecated "import_request_variables" ersetzt
-	2013-05-06	Fehlende Leerstelle
-	2014-01-28	Link zu alkisstrasse.php
+	2011-11-17 Link FS-Historie, Parameter der Functions geÃ€ndert
+	2011-11-30 import_request_variables, $dbvers PostNAS 0.5 entfernt
+	2011-12-14 "window.open(..,width=680)"
+	2013-04-08 deprecated "import_request_variables" ersetzt
+	2013-05-06 Fehlende Leerstelle
+	2014-01-28 Link zu alkisstrasse.php
+	2014-02-06 pg_free_result
 */
 session_start();
@@ -177,4 +178,5 @@
 		echo "\n\t\t</p>\n\t</td>\n</tr>";
 	}
+	pg_free_result($res);
 }
 echo "\n</table>\n";
@@ -182,5 +184,4 @@
 // Flurstuecksflaeche
 echo "\n<p class='fsd'>Flurst&uuml;cksfl&auml;che: <b>".$flae."</b></p>\n";
-pg_free_result($res);
 
 // *** G R U N D B U C H ***
Index: /trunk/info/conf/alkis_www_conf.php
===================================================================
--- /trunk/info/conf/alkis_www_conf.php	(revision 318)
+++ /trunk/info/conf/alkis_www_conf.php	(revision 319)
@@ -28,4 +28,4 @@
 
 // Entwicklungsumgebung
-$debug=3; // 0=Produktion, 1=mit Fehlermeldungen, 2=mit Informationen, 3=mit SQL
+$debug=0; // 0=Produktion, 1=mit Fehlermeldungen, 2=mit Informationen, 3=mit SQL
 ?>